Package org.gradle.jvm.toolchain

## Interface JavaInstallation

-     @Incubating
      @Deprecated
      public interface JavaInstallation

  Deprecated.
  Use Java Toolchains instead.
  Information about a Java installation, which may include a JRE or a JDK or both.

  You can obtain an instance of this type using `JavaInstallationRegistry`.

  Since:
    6.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getImplementationName()` | Deprecated. Returns a name that identifies the implementation of this installation.
    `Directory` | `getInstallationDirectory()` | Deprecated. Returns the root directory of this installation.
    `RegularFile` | `getJavaExecutable()` | Deprecated. Returns a Java executable packaged in this installation that can be used for running applications.
    `JavaVersion` | `getJavaVersion()` | Deprecated. Returns the Java version that this installation provides
    `java.util.Optional<JavaDevelopmentKit>` | `getJdk()` | Deprecated. Returns information about the JDK packaged in this installation, if any.

- - ### Method Detail

    - #### getJavaVersion

          JavaVersion getJavaVersion()

      Deprecated.
      Returns the Java version that this installation provides

    - #### getInstallationDirectory

          Directory getInstallationDirectory()

      Deprecated.
      Returns the root directory of this installation.

    - #### getJavaExecutable

          RegularFile getJavaExecutable()

      Deprecated.
      Returns a Java executable packaged in this installation that can be used for running applications. This will be the Java executable from the stand alone JRE, if present, otherwise the Java executable from the JDK.

    - #### getImplementationName

          java.lang.String getImplementationName()

      Deprecated.
      Returns a name that identifies the implementation of this installation.

    - #### getJdk

          java.util.Optional<JavaDevelopmentKit> getJdk()

      Deprecated.
      Returns information about the JDK packaged in this installation, if any.